> For the complete documentation index, see [llms.txt](https://docs.warpstream.com/warpstream/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.warpstream.com/warpstream/reference/api-reference/pipelines/create-pipeline.md).

# Create Pipeline

Creates a new pipeline in a virtual cluster.

```
POST /api/v1/create_pipeline
```

## **Request Body (JSON):**

```json
{
  "virtual_cluster_id": "vci_xxx",
  "pipeline_name": "my-pipeline"
}
```

### **CURL Example:**

```bash
curl https://api.warpstream.com/api/v1/create_pipeline \
-H 'warpstream-api-key: XXXXXXXXXX' \
-H 'Content-Type: application/json' \
-d '{"virtual_cluster_id": "vci_xxx", "pipeline_name": "my-pipeline"}'
```

## **Response Body (JSON):**

```json
{
  "pipeline_id": "pipeline-xyz",
  "pipeline_name": "my-pipeline",
  "pipeline_state": "paused",
  "pipeline_type": "bento",
  "pipeline_deployed_configuration_id": "" // Initially empty
}
```

## Create Orbit Pipeline

You can also use the `create_pipeline` api to create an Orbit pipeline. Simply add a `pipeline_type` of `orbit` to the request above.

```
POST /api/v1/create_pipeline
```

### **Request Body (JSON):**

```json
{
  "virtual_cluster_id": "vci_xxx",
  "pipeline_name": "my-pipeline",
  "pipeline_type": "orbit"
}
```

### **Response Body (JSON):**

```json
{
  "pipeline_id": "pipeline-xyz",
  "pipeline_name": "my-pipeline",
  "pipeline_state": "paused",
  "pipeline_type": "orbit",
  "pipeline_deployed_configuration_id": "" // Initially empty
}
```

### **CURL Example:**

<pre><code><strong>curl https://api.warpstream.com/api/v1/create_pipeline \
</strong>-H 'warpstream-api-key: XXXXXXXXXX' \
-H 'Content-Type: application/json' \
-d '{"virtual_cluster_id": "vci_xxx", "pipeline_name": "my-pipeline", "pipeline_type": "orbit"}'
</code></pre>

**Note that you can only have a single Orbit pipeline at a time.** To create a new Orbit pipeline first [delete](/warpstream/reference/api-reference/pipelines/delete-pipeline.md) the old one.

## Create Schema Linking Pipeline

You can also use the `create_pipeline` api to create a Schema Linking pipeline. Simply add a `pipeline_type` of `schema_linking` to the request above.

```
POST /api/v1/create_pipeline
```

### **Request Body (JSON):**

```json
{
  "virtual_cluster_id": "vci_sr_xxx",
  "pipeline_name": "my-pipeline",
  "pipeline_type": "schema_linking"
}
```

### **Response Body (JSON):**

```json
{
  "pipeline_id": "pipeline-xyz",
  "pipeline_name": "my-pipeline",
  "pipeline_state": "paused",
  "pipeline_type": "schema_linking",
  "pipeline_deployed_configuration_id": "" // Initially empty
}
```

### **CURL Example:**

<pre><code><strong>curl https://api.prod.us-east-1.warpstream.com/api/v1/create_pipeline \
</strong>-H 'warpstream-api-key: XXXXXXXXXX' \
-H 'Content-Type: application/json' \
-d '{"virtual_cluster_id": "vci_sr_xxx", "pipeline_name": "my-pipeline", "pipeline_type": "schema_linking"}'
</code></pre>

**Note that you can only have a single Schema Linking pipeline at a time for each schema registry cluster.** To create a new Schema Linking pipeline first [delete](/warpstream/reference/api-reference/pipelines/delete-pipeline.md) the old one.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.warpstream.com/warpstream/reference/api-reference/pipelines/create-pipeline.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
